Subject: bug#11781: closed (Re: bug#11781: compilation failure: `ULLONG_MAX' undeclared)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Jul 2012 03:18:02 +0000

Your bug report

#11781: compilation failure:  `ULLONG_MAX' undeclared

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11781: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11781
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11781: compilation failure: `ULLONG_MAX' undeclared
From: Paul Eggert <[email-masked]>
To: Dan Nicolaescu <[email-masked]>
Cc: [email-masked]
Date: Fri, 06 Jul 2012 20:12:07 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

In trunk bzr 108930 I patched sysdep.c so that it defines
ULLONG_MAX if the system doesn't already define it; that should
fix the immediate problem so I've marked this as done.

About the C99 issue: Emacs uses a standard test for
C99, which checks for many C99 features that your
compiler lacks.  It then falls back on ordinary gcc.
Perhaps this could be hacked to be smarter, though I'm
not sure it's worth the aggravation if things are
working for you now.

Subject: compilation failure: `ULLONG_MAX' undeclared
From: Dan Nicolaescu <[email-masked]>
To: [email-masked]
Date: Mon, 25 Jun 2012 14:12:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On an ancient machine (don't ask) building the trunk fails:

gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/tmp/emacs/src -I../lib -I/tmp/emacs/src/../lib   -I/usr/X11R6/include            -MMD -MF deps/sysdep.d -MP     -g -O2 /tmp/emacs/src/sysdep.c
/tmp/emacs/src/sysdep.c: In function `time_from_jiffies':
/tmp/emacs/src/sysdep.c:2587: `ULLONG_MAX' undeclared (first use in this function)
/tmp/emacs/src/sysdep.c:2587: (Each undeclared identifier is reported only once
/tmp/emacs/src/sysdep.c:2587: for each function it appears in.)
make[1]: *** [sysdep.o] Error 1

$ cat /etc/redhat-release 
Red Hat Linux release 7.3 (Valhalla)

$ rpm -q glibc-devel
glibc-devel-2.2.5-44

$ gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.3 2.96-113)